#!/usr/bin/tcsh -f
set echo_style='bsd' ; setenv LC_ALL C #; set echo verbose

# Copyright 2012 Leon van Dommelen.  This software is made available
# under the GNU Public License version 3.  See folder copyrights.

# Purpose: Remove any existing files that may be orphaned.

# Usage
goto start
use:
echo 'Usage: clearold.bat y/n FILE1 FILE2 ...'
echo '       y: overwrite any existing file without prompting the user.'
echo '       n: prompt the user before overwriting any existing file.'
echo '       The files must be fully specified.'
goto err
start:

# set L2HTOP (do not change the format of the next two lines)
setenv L2HTOP '/home/user/l2hdir'
if !(-f "$L2HTOP/bin/choose.exe") goto errl2h

# check arguments
if ("$2" == "") goto use
if ("$1" == n) goto loopn
if ("$1" != y) goto use

# delete without prompting
loopy:
shift
if ("$1" == "") goto done
if !(-e "$1") goto loopy
rm "$1"
if (-e "$1") goto errdel
goto loopy

# delete with prompting
loopn:
shift
if ("$1" == "") goto done
if !(-e "$1") goto loopn
askit:
echo
ls -l "$1"
echo '** There is an existing file,'
echo "      $1"
echo '   that needs to be removed to proceed.  This file might have been'
echo '   orphaned from an aborted earlier processing.  Or not.'
echo '   If you want to keep this file, move or copy it to somewhere else'
echo '   now before pressing d.'
"$L2HTOP/bin/choose.exe" dq "   Press d to delete the file or q to abort processing"
set stat="$status"
if ($stat >= 3) goto errsys
if ($stat >= 2) goto errq
if ($stat >= 1) goto del
goto errq
del:
if !(-e "$1") goto loopn
rm "$1"
if (-e "$1") goto errdel
goto loopn

# done
done:
goto end

# errors
errl2h:
echo "*** Files are missing in $L2HTOP/bin."
echo '    You may need to rerun install_l2h in the l2h folder.  Make sure'
echo '    that the current folder is somewhere inside the l2h folder while'
echo '    doing that.'
goto err
errdel:
echo
ls -l "$1"
echo '*** Unable to delete file'
echo "       $1"
echo '    Check file ownership and protection.'
goto err
errq:
echo '*** Aborted by the user.'
goto err
errsys:
echo '*** Operating system error.  Check disk space and file protections.'
echo '    If not, try rerunning install_l2h in the l2h_folder.'
err:
exit 1

end:
