#!/usr/bin/tcsh -f
set echo_style='bsd' ; setenv LC_ALL C #; set echo verbose

# Copyright 2012 Leon van Dommelen.  This software is made available
# under the GNU Public License version 3.  See folder copyrights.

# Purpose: Clean up the document folder.

# Usage
goto start
use:
echo 'Usage: l2hclean.bat'
echo '       Specifing a nonnil parameter will do a more extensive cleanup.'
goto err
start:

# set L2HTOP (do not change the format of the next two lines)
setenv L2HTOP '/home/user/l2hdir'
if !(-f "$L2HTOP/install_l2h.desktop") goto errl2h

# clean up the top folder
echo 'Cleaning up the top folder ...'
"$L2HTOP/system-files/bin/delbcksets.bat" "@system/theme" '*'
"$L2HTOP/bin/clearold.bat" y index.@rl index.dvi index.ps
rm @tmp*.*
if ("$1" == '') goto endtop
"$L2HTOP/system-files/bin/delbcksets.bat" "@system/idx" '*'
"$L2HTOP/bin/clearold.bat" y index.blg index.log l2h.log texexpand.log
rm index@*.*
endtop:

# clean up @system
if !(-d @system/) goto endsys
echo 'Cleaning up folder @system ...'
rm @system/index*.*
rm @system/@*.*
rm @system/*.tmp
rm @system/tmp*.*
endsys:

# clean up web-pages
if !(-f web-pages/index.html) goto endwp
echo 'Cleaning up folder web-pages ... ' | fgrep ' '
cd web-pages
if ($status) goto errsys
"$L2HTOP/system-files/bin/delbcksets.bat" "@htmllist" '*'
"$L2HTOP/bin/clearold.bat" y images.@rl images.aux images.bbl images.out images.pdf internals.pl labels.pl @tmp.tmp
rm *.old
if ("$1" == '') goto endwp0
"$L2HTOP/bin/clearold.bat" y images.tex settings.pl WARNINGS
rm *.log
rm @*.*
endwp0:
cd ..
endwp:

# done
done:
echo 'Done cleaning up.'
goto end

# errors
errl2h:
echo "*** Fatal error: cannot find file $L2HTOP/install_l2h.desktop."
echo '    You may need to rerun install_l2h in the l2h folder.  Make sure'
echo '    that the current folder is somewhere inside the l2h folder while'
echo '    doing that.'
goto err
errsys:
echo '*** Operating system error.  Check disk space and file protections.'
echo '    If not, try rerunning install_l2h in the l2h_folder.'
err:
exit 1

end:
