#!/usr/bin/tcsh -f
set echo_style='bsd' ; setenv LC_ALL C #; set echo verbose

# Copyright 2012 Leon van Dommelen.  This software is made available
# under the GNU Public License version 3.  See folder copyrights.

# Purpose: Move a file.

# Usage
goto start
use:
echo 'Usage: movenew.bat OLDFILE NEWFILE y/n'
echo '       y: overwrite any existing file without prompting the user.'
echo '       n: prompt the user before overwriting any existing file.'
echo '       OLDFILE and NEWFILE must be fully specified.'
echo '       If OLDFILE does not exist, does nothing.'
goto err
start:

# set L2HTOP (do not change the format of the next two lines)
setenv L2HTOP '/home/user/l2hdir'
if !(-f "$L2HTOP/bin/clearold.bat") goto errl2h

# checks
if !(-f "$1") goto done

# get rid of any existing target file
if (-f "$2") "$L2HTOP/bin/clearold.bat" "$3" "$2"
if ($status) goto err

# move it to the final location
mv "$1" "$2"
if ($status) goto errmov
if !(-f "$2") goto errmov
if (-e "$1") goto errsys

# done
done:
goto end

# errors
errl2h:
echo "*** Files are missing in $L2HTOP/bin."
echo '    You may need to rerun install_l2h in the l2h folder.  Make sure'
echo '    that the current folder is somewhere inside the l2h folder while'
echo '    doing that.'
goto err
errmov:
echo
ls -l "$1"
pwd
echo '*** Unable to move file'
echo "       $1"
echo '    to target file'
echo "       $2"
echo '    Check your access to the file and the target folder.'
goto err
errsys:
echo '*** Operating system error.  Check disk space and file protections.'
echo '    If not, try rerunning install_l2h in the l2h_folder.'
err:
exit 1

end:
