      program utf16i

c     Read utf-16 characters from UTF-16LE file utf16toutf8.ind and
c     print them out as utf-8.

c     See also http://zsigri.tripod.com/fontboard/cjk/unicode.html

      implicit none

c     input file
      integer indim
      parameter (indim=1000000)
      character*1 inchr(indim),chr
      integer inmax,in,inlt

c     output character
      character*1 outchr(4)
      integer outmax,out
      integer chrno

c     0: big endian, 1: little endian
      integer le

c     error message
      character*74 msg
      integer i,imax

c executable

 10   format(a)
 20   format(a1,$,a1,$,a1,$,a1,$)

      call insub('main')

c     set little endian
      le=1

c     read file
      msg='Unable to open file utf16toutf8.ind'
      open(1,file='utf16toutf8.ind',form='unformatted',err=900)
      inmax=0
      msg='Error reading little endian file utf16toutf8.ind'
 100  call getchr(1,chr,*190,*900)
      inmax=inmax+1
      if(inmax.gt.indim)call fatal('File utf16toutf8.ind is too big')
      inchr(inmax)=chr
      goto 100
 190  continue

c     convert
      in=0
 200  inlt=0
      call rutf16(le,indim-in,inchr(in+1),inlt,chrno)
      msg='Invalid character in utf16toutf8.ind'
      if(chrno.lt.0)goto 890
      in=in+inlt
      call wutf8(chrno,4,outmax,outchr)
      print20,(outchr(out),out=1,outmax)
      if(in.lt.inmax)goto 200
      call exit(0)

 890  print10
 900  do 910 i=74,1,-1
         imax=i
         if(msg(i:i).gt.' ')goto 911
 910  continue
 911  call fatal(msg(1:imax))

      end
