#!/usr/bin/tcsh -f
set echo_style='bsd' ; setenv LC_ALL C #; set echo verbose

# Copyright 2012 Leon van Dommelen.  This software is made available
# under the GNU Public License version 3.  See folder copyrights.

# Purpose: Check UTF-8 conversion folder FOLDER and copy the needed
#          files into it.

# Usage
goto start
use:
echo '*** This script is for use during the l2h [re]installation only'
goto err
start:

# check parameter
if ("$1" == '') goto use

# check existence
if !(-d "$1") goto wrnnone

# check validity
if !(-f "$1/hyphenate.sub") goto errfil

# skip the source
if ("$1" == English_US) goto done

# copy the needed files into it
cp -p English_US/*.desktop "$1"
if ($status) goto errcp

# done
done:
goto end

# warnings
wrnnone:
echo "** WARNING: conversion $1 is missing"
goto done

# errors
errfil:
echo "*** File $1/hyphenate.sub is missing"
goto err
errcp:
echo "*** Error copying files from English_US to $1"
echo '    Check the folders and your access to them.'
goto err
errsys:
echo '*** Operating system error.  Check disk space and file protections.'
echo '    If not, try rerunning install_l2h in the l2h_folder.'
err:
exit 1

end:
