#!/usr/bin/tcsh -f
set echo_style='bsd' ; setenv LC_ALL C #; set echo verbose

# Copyright 2012 Leon van Dommelen.  This software is made available
# under the GNU Public License version 3.  See folder copyrights.

# Purpose: Delete all backup levels.  Ignores any errors deleting.

# Usage
goto start
use:
echo 'Usage: delbcksets.bat LISTROOT EXT2'
goto err
start:

# set L2HTOP (do not change the format of the next two lines)
setenv L2HTOP '/home/user/l2hdir'
if !(-f "$L2HTOP/install_l2h.desktop") goto errl2h

# check the basic files needed for execution
if !(-frx "$L2HTOP/bin/filechk.bat") goto errfils
"$L2HTOP/bin/filechk.bat"
if ($status) goto errfils
if !(-frx "$L2HTOP/system-files/bin/filechk.bat") goto errfils
"$L2HTOP/system-files/bin/filechk.bat"
if ($status) goto errfils
if !(-frx "$L2HTOP/system-files/data/filechk.bat") goto errfils
"$L2HTOP/system-files/data/filechk.bat"
if ($status) goto errfils

# delete the backups
if (-f "$1.bat") source "$1".bat "$L2HTOP/system-files/bin/file_extsel.bat" "$2" "$L2HTOP/system-files/bin/file_bcklvrm0.bat" new
if (-f "$1@old.bat") source "$1"@old.bat "$L2HTOP/system-files/bin/file_extsel.bat" "$2" "$L2HTOP/system-files/bin/file_bcklvrm0.bat" old
if (-f "$1@old.bat") rm "$1@old.bat"
if (-f "$1@older.bat") source "$1"@older.bat "$L2HTOP/system-files/bin/file_extsel.bat" "$2" "$L2HTOP/system-files/bin/file_bcklvrm0.bat" older
if (-f "$1@older.bat") rm "$1@older.bat"
if (-f "$1@oldest.bat") source "$1"@oldest.bat "$L2HTOP/system-files/bin/file_extsel.bat" "$2" "$L2HTOP/system-files/bin/file_bcklvrm0.bat" oldest
if (-f "$1@oldest.bat") rm "$1@oldest.bat"

# done
done:
goto end

# errors
errl2h:
echo "*** Fatal error: cannot find file $L2HTOP/install_l2h.desktop."
echo '    You may need to rerun install_l2h in the l2h folder.  Make sure'
echo '    that the current folder is somewhere inside the l2h folder while'
echo '    doing that.'
goto err
errfils:
echo '*** Fatal error: cannot find essential files in the l2h bin folder.'
echo '    You may need to reinstall l2h from scratch.'
goto err
errsys:
echo '*** Operating system error.  Check disk space and file protections.'
echo '    If not, try rerunning install_l2h in the l2h_folder.'
err:
exit 1

end:
