#!/usr/bin/tcsh -f
set echo_style='bsd' ; setenv LC_ALL C #; set echo verbose

# Copyright 2012 Leon van Dommelen.  This software is made available
# under the GNU Public License version 3.  See folder copyrights.

# Purpose: Clean up the web-pages folder.

# Usage
goto start
use:
echo 'Usage: delwp.bat'
goto err
start:

# show a message
echo 'Cleaning up folder web-pages...'

# done if no web pages
if !(-e web-pages) goto done
if !(-d web-pages/) goto errdel

# delete files
rm web-pages/*.gif \
   web-pages/*.html \
   web-pages/*.jpd \
   web-pages/*.log \
   web-pages/*.old \
   web-pages/*.pl \
   web-pages/images.* \
   web-pages/img*.jpg \
   web-pages/@*.*
if (-f web-pages/index.css) rm web-pages/index.css
if (-f web-pages/WARNINGS) rm web-pages/WARNINGS
if (-d web-pages/savjpegs/) rm -r web-pages/savjpegs/

# check that the key files are indeed gone
ls -1 web-pages/*.gif | fgrep '.'
set stat="$status"
if ($stat >= 2) goto errsys
if ($stat >= 1) goto gifok
goto errdel
gifok:
ls -1 web-pages/*.html | fgrep '.'
set stat="$status"
if ($stat >= 2) goto errsys
if ($stat >= 1) goto htmlok
goto errdel
htmlok:
ls -1 web-pages/*.pl | fgrep '.'
set stat="$status"
if ($stat >= 2) goto errsys
if ($stat >= 1) goto plok
goto errdel
plok:
if (-e web-pages/index.css) goto errdel
if (-e web-pages/savjpegs) goto errdel

# done
done:
echo 'Done cleaning up folder web-pages'
goto end

# errors
errdel:
echo '*** Unable to clean up the web-pages folder.  Check file ownership'
echo '    and permissions.'
goto err
errsys:
echo '*** Operating system error.  Check disk space and file protections.'
echo '    If not, try rerunning install_l2h in the l2h_folder.'
err:
exit 1

end:
