#!/usr/bin/tcsh -f
set echo_style='bsd' ; setenv LC_ALL C #; set echo verbose

# Copyright 2012 Leon van Dommelen.  This software is made available
# under the GNU Public License version 3.  See folder copyrights.

# Purpose: Check that file ROOT.EXT does not need to be backed up.

# Usage
goto start
use:
echo 'Usage: source file_bcklvchk0.bat ROOT EXT'
echo '       Returns error status 1 if the file must be backed up.'
goto err
start:

# handle folders separately
if ("$2" != F0L) goto nofol

# done if the folder or a new version for it does not exist
if !(-e "$1") goto done
if !(-e "$1@new") goto done

# otherwise, that is it
goto err

# not a folder
nofol:

# done if the file or a new version for it does not exist
if !(-e "$1.$2") goto done
if !(-e "$1@new.$2") goto done

# otherwise, that is it
goto err

# done
done:
goto end

# errors
err:
exit 1

end:
