#!/usr/bin/tcsh -f
set echo_style='bsd' ; setenv LC_ALL C #; set echo verbose

# Copyright 2012 Leon van Dommelen.  This software is made available
# under the GNU Public License version 3.  See folder copyrights.

# Purpose: remove expired file ROOT@LEVEL.EXT

# Usage
goto start
use:
echo 'Usage: set L2HTOP, check choose.exe'
echo '       set errlev=0'
echo '       source file_bcklvrm.bat ROOT EXT LEVEL'
echo '       Sets errlev to 1 if at least one file is removed.'
echo '       Returns error status 1 on error.'
goto err
start:

# This must work perfectly or things become a mess.  So the user is
# consulted when there is a problem.  Then he/she can be blamed...

# handle folders separately
if ("$2" != F0L) goto nofol

# done if the folder does not exist
if !(-e "$1@$3") goto done
set errlev='1'

# remove it
rm -r "$1@$3"
if !(-e "$1@$3") goto done
echo
echo "Unable to remove expired folder $1@$3"
echo 'It is critical that this is done.'
echo 'Please do it manually.  Remove the subfolder'
echo "$1@$3"
echo 'from the folder'
pwd
echo 'Delete it, rename it, or move it to another location.'
"$L2HTOP/bin/choose.exe" anykey "Hit any key when this is done"
if (-e "$1@$3") goto errdelf
goto done

# not a folder
nofol:

# done if the file does not exist
if !(-e "$1@$3.$2") goto done
set errlev='1'

# remove it
rm "$1@$3.$2"
if !(-e "$1@$3.$2") goto done
echo
echo "Unable to remove expired file $1@$3.$2"
echo 'It is critical that this is done.'
echo 'Please do it manually.  Remove the file'
echo "$1@$3.$2"
echo 'from the folder'
pwd
echo 'Delete it, rename it, or move it to another location.'
"$L2HTOP/bin/choose.exe" anykey "Hit any key when this is done"
if (-e "$1@$3.$2") goto errdel

# done
done:
goto end

# errors
errdelf:
echo "*** Unable to delete expired folder $1@$3"
echo '    Processing will fail.'
goto err
errdel:
echo "*** Unable to delete expired file $1@$3.$2."
echo '    Processing will fail.'
goto err
errsys:
echo '*** Operating system error.  Check disk space and file protections.'
echo '    If not, try rerunning install_l2h in the l2h_folder.'
err:
exit 1

end:
