#!/usr/bin/tcsh -f
set echo_style='bsd' ; setenv LC_ALL C #; set echo verbose

# Copyright 2012 Leon van Dommelen.  This software is made available
# under the GNU Public License version 3.  See folder copyrights.

# Purpose: Remove backup ROOT@LEVEL.EXT.  Ignores errors.

# Usage
goto start
use:
echo 'Usage: source file_bcklvrm0.bat ROOT EXT LEVEL'
goto err
start:

# handle folders separately
if ("$2" != F0L) goto nofol

# done if the folder does not exist
if !(-e "$1@$3") goto done

# remove it
rm -r "$1@$3"
if !(-e "$1@$3") goto done
echo "** Unable to remove expired folder $1@$3"
goto done

# not a folder
nofol:

# done if the file does not exist
if !(-e "$1@$3.$2") goto done

# do it
rm "$1@$3.$2"
if !(-e "$1@$3.$2") goto done
echo "** Unable to remove expired file $1@$3.$2"

# done
done:
goto end

# errors
err:
exit 1

end:
