#!/usr/bin/tcsh -f
set echo_style='bsd' ; setenv LC_ALL C #; set echo verbose

# Copyright 2012 Leon van Dommelen.  This software is made available
# under the GNU Public License version 3.  See folder copyrights.

# Purpose: convert eps file ROOT.EXT into pdf file ROOT.pdf.
#          Perl must be in the path.

# Usage
goto start
use:
echo 'Usage: set errlev=0'
echo '       source file_epspdf.bat ROOT EXT'
goto err
start:

# set L2HTOP (do not change the format of the next two lines)
setenv L2HTOP '/home/user/l2hdir'
if !(-f "$L2HTOP/init.bat") goto errl2h

# check that the file to convert exists
if !(-f "$1.$2") goto wrnfil

# skip if the target exists
if (-f "$1.pdf") goto wrnskip

# check that we have perl
if ("$errlev" != 0) goto havperl
source "$L2HTOP/init.bat" > /dev/null
if ($status) goto errinit
which perl > /dev/null
if ($status) goto errperl
set errlev='1'
havperl:

# convert the file
perl "$L2HTOP/bin/epstopdf.pl" "$1"."$2"
if ($status) goto wrncnv
if !(-f "$1.pdf") goto wrncnv

# print a message
echo "       Created: $1.pdf"

# done
done:
goto end

# warnings
wrnfil:
echo "**   Not found: $1.$2"
goto done
wrnskip:
echo "** File exists: $1.$3"
goto done
wrncnv:
echo "** Error while trying to convert: $1.$2"
goto done

# errors
errl2h:
echo "*** Fatal error: cannot find file $L2HTOP/init.bat."
echo '    You may need to rerun install_l2h in the l2h folder.'
goto err
errinit:
echo "*** Fatal error: error running $L2HTOP/init.bat."
echo '    You may need to rerun install_l2h in the l2h folder.'
goto err
errperl:
echo '*** Cannot convert: perl is not in your path even after running'
echo '    init.bat in the l2h folder.  Please rerun the l2h installation'
echo '    procedure or edit init.bat manually to set the perl path.'
goto err
errsys:
echo '*** Operating system error.  Check disk space and file protections.'
echo '    If not, try rerunning install_l2h in the l2h_folder.'
err:
exit 1

end:
