#!/usr/bin/tcsh -f
set echo_style='bsd' ; setenv LC_ALL C #; set echo verbose

# Copyright 2012 Leon van Dommelen.  This software is made available
# under the GNU Public License version 3.  See folder copyrights.

# Purpose: Check that file PREFIXROOT.EXT exists

# Usage
goto start
use:
echo 'Usage: Ensure zero error level'
echo '       call file_exist.bat ROOT EXT PREFIX'
echo '       Returns error status 1 if the file does not exist'
goto err
start:

# handle folders separately
if ("$2" != F0L) goto nofol

# done if the folder exists
if (-d "$3$1/") goto done

# otherwise, that is it
goto err

# not a folder
nofol:

# done if the file exists
if (-f "$3$1.$2") goto done

# otherwise, that is it
goto err

# done
done:
goto end

# errors
err:
exit 1

end:
