#!/usr/bin/tcsh -f
set echo_style='bsd' ; setenv LC_ALL C #; set echo verbose

# Copyright 2012 Leon van Dommelen.  This software is made available
# under the GNU Public License version 3.  See folder copyrights.

# Purpose: convert pdf file ROOT.EXT into eps file ROOT using pdftops

# Usage
goto start
use:
echo 'Usage: file_pdfcnv.bat ROOT EXT'
goto err
start:

# check that the file to convert exists
if !(-f "$1.$2") goto wrnfil

# skip if the target exists
if (-f "$1") goto wrnskip

# convert the file
pdftops -eps "$1.$2" "$1"
if ($status) goto errcnv
if !(-f "$1") goto errcnv

# done
done:
goto end

# warnings
wrnfil:
echo "**   Not found: $1.$2"
set errlev=1
goto end
wrnskip:
echo "** File exists: $1"
set errlev=1
goto end

# errors
errcnv:
echo "*** Conversion of file $1.$2 failed."
set errlev=2
goto done
errsys:
echo '*** Operating system error.  Check disk space and file protections.'
echo '    If not, try rerunning install_l2h in the l2h_folder.'
err:
set errlev=2
exit 1

end:
