#!/usr/bin/tcsh -f
set echo_style='bsd' ; setenv LC_ALL C #; set echo verbose

# Copyright 2012 Leon van Dommelen.  This software is made available
# under the GNU Public License version 3.  See folder copyrights.

# Purpose: convert pdf file ROOT.EXT into eps file ROOT.EXT2 using pdftops.
#          The pdf should be a single-page one.

# Usage
goto start
use:
echo 'Usage: source file_pdfeps.bat ROOT EXT EXT2'
goto err
start:

# set L2HTOP (do not change the format of the next two lines)
setenv L2HTOP '/home/user/l2hdir'
if !(-f "$L2HTOP/install_l2h.desktop") goto errl2h

# check that the file to convert exists
if !(-f "$1.$2") goto wrnfil

# skip if the target exists
if (-f "$1.$3") goto wrnskip

# convert the file using pstopdf
which pdftops > /dev/null
if ($status) goto tryp2p
pdftops -eps "$1"."$2" "$1"."$3"
if ($status) goto wrncnv
if !(-f "$1.$3") goto wrncnv
goto msg

# convert the file using pdf2ps
tryp2p:
echo '** pdftops not available, trying pdf2ps...'
which pdf2ps > /dev/null
if ($status) goto errpp
pdf2ps "$1"."$2" "$1"."$3"
if ($status) goto wrncnv
if !(-f "$1.$3") goto wrncnv
goto msg

# print a message
msg:
echo "       Created: $1.$3"

# done
done:
goto end

# warnings
wrnfil:
echo "**   Not found: $1.$2"
goto done
wrnskip:
echo "** File exists: $1.$3"
goto done
wrncnv:
if (-f "$1.$3") rm "$1.$3"
if (-e "$1.$3") goto errsys
echo "** Error while trying to convert: $1.$2"
goto done

# errors
errl2h:
echo "*** Fatal error: cannot find file $L2HTOP/install_l2h.desktop."
echo '    You may need to rerun install_l2h in the l2h folder.'
goto err
errpp:
echo "*** Cannot convert: pdftops is not installed, nor is pdf2ps."
goto err
errsys:
echo '*** Operating system error.  Check disk space and file protections.'
echo '    If not, try rerunning install_l2h in the l2h_folder.'
err:
exit 1

end:
