#!/usr/bin/tcsh -f
set echo_style='bsd' ; setenv LC_ALL C #; set echo verbose

# Copyright 2012 Leon van Dommelen.  This software is made available
# under the GNU Public License version 3.  See folder copyrights.

# Purpose: Get a web page theme.

# Usage
goto start
use:
echo 'Usage: source doinit.bat (make sure that the @system subfolder exists)'
echo '       gettheme.bat SEARCHFILE SKIP'
echo '       SEARCHFILE is a file inside the themes folders to search for.'
echo '       If SKIP is - copthm is created but the theme is not finalized.'
goto err
start:

# set L2HTOP (do not change the format of the next two lines)
setenv L2HTOP '/home/user/l2hdir'
if !(-f "$L2HTOP/install_l2h.desktop") goto errl2h

# create @system/theme.lst
if !(-d @system/) goto errnos
if (-f @system/theme.lst) rm @system/theme.lst
if (-e @system/theme.lst) goto errsys
echo 'index.css' > @system/theme.lst
if ($status) goto errsys
if !(-f @system/theme.lst) goto errsys
cat @system/theme.lst | fgrep 'index.css' > @system/@null.tmp
if ($status) goto errsys
echo 'settings.pl' >> @system/theme.lst
if ($status) goto errsys
cat @system/theme.lst | fgrep 'settings.pl' > @system/@null.tmp
if ($status) goto errsys
echo 'index.html' >> @system/theme.lst
if ($status) goto errsys
cat @system/theme.lst | fgrep 'index.html' > @system/@null.tmp
if ($status) goto errsys
echo 'buttons.F0L' >> @system/theme.lst
if ($status) goto errsys
cat @system/theme.lst | fgrep 'buttons.F0L' > @system/@null.tmp
if ($status) goto errsys

# clean up old theme getting stuff
if (-f @system/copthm.lst) rm @system/copthm.lst
if (-e @system/copthm.lst) goto errsys
if (-f @system/copthm.tmp) rm @system/copthm.tmp
if (-e @system/copthm.tmp) goto errsys
if (-f @system/copthm.bat) rm @system/copthm.bat
if (-e @system/copthm.bat) goto errsys

# make a list of themes
ls -1d "$L2HTOP/themes/"*/"$1" > @system/copthm.lst
if ($status) goto errlst
if !(-f @system/copthm.lst) goto errsys
cat @system/copthm.lst | fgrep '/themes/white-blue/'
set stat="$status"
if ($stat >= 2) goto errsys
if ($stat >= 1) goto errdef

# ask the user's choice
"$L2HTOP/bin/sellist.exe" @system/copthm "web page theme" white-blue 0 2 /
if ($status) goto errsys
if !(-f @system/copthm.tmp) goto errq

# create a batch file to copy over the files
cat "$L2HTOP/system-files/data/copthm.bat" >> @system/copthm.tmp
if ($status) goto errsys
"$L2HTOP/bin/subbin.exe" "$L2HTOP/system-files/data/mksubfil.sub" @system/copthm.tmp @system/copthm.bat
if ($status) goto errsys
if !(-f @system/copthm.bat) goto errsys

# initialize the creation of a new theme
"$L2HTOP/system-files/bin/dofiles.bat" "@system/theme" - '*' -
if ($status) goto err

# exit on - SKIP
if ("$2" == '-') goto done

# copy over index.css, settings.pl, and index.html
source "@system/copthm.bat" files
if ($status) goto err

# move the new theme into place
"$L2HTOP/system-files/bin/dofiles.bat" "@system/theme" - '*' +
if ($status) goto err

# done
done:
goto end

# errors
errl2h:
echo "*** Fatal error: cannot find file $L2HTOP/install_l2h.desktop."
echo '    You may need to rerun install_l2h in the l2h folder.  Make sure'
echo '    that the current folder is somewhere inside the l2h folder while'
echo '    doing that.'
goto err
errnos:
echo '*** Program error: subfolder @system does not exist'
goto err
errlst:
echo "*** Unable to list the themes in $L2HTOP/themes."
goto err
errdef:
echo '*** The default theme white-blue is corrupt or missing from the folder'
echo "      $L2HTOP/themes."
goto err
errq:
echo '*** Aborted by the user.'
goto err
errsys:
echo '*** Operating system error.  Check disk space and file protections.'
echo '    If not, try rerunning install_l2h in the l2h_folder.'
err:
exit 1

end:
