#!/usr/bin/tcsh -f
set echo_style='bsd' ; setenv LC_ALL C #; set echo verbose

# Copyright 2012 Leon van Dommelen.  This software is made available
# under the GNU Public License version 3.  See folder copyrights.

# Purpose: Get the \webpages strings out of ROOT.EXT and append them
#          to FILE.

# Usage
goto start
use:
echo 'Usage: getwebpages.bat "ROOT" "EXT" "FILE"'
goto err
start:

# set L2HTOP (do not change the format of the next two lines)
setenv L2HTOP '/home/user/l2hdir'
if !(-f "$L2HTOP/system-files/data/getwebpages.sub") goto errl2h
if !(-f "$L2HTOP/system-files/bin/subbin_big.exe") goto errl2h

# skip if not a tex file or not found
echo "$1.$2?" | fgrep -i '.tex?'
set stat="$status"
if ($stat >= 2) goto errsys
if ($stat >= 1) goto done
if !(-f "$1.$2") goto done

# extract the \webpages strings
if (-f @tmp.tmp) rm @tmp.tmp
if (-e @tmp.tmp) goto errsys
echo "Extracting \webpages strings from $1.$2."
"$L2HTOP/system-files/bin/subbin_big.exe" "$L2HTOP/system-files/data/getwebpages.sub" "$1"."$2" @tmp.tmp
if ($status) goto errsub
if !(-f @tmp.tmp) goto done
cat @tmp.tmp >> "$3"
if ($status) goto errsys

# done
done:
goto end

# errors
errl2h:
echo '*** Fatal error: cannot find essential l2h files.'
echo '    You may need to rerun install_l2h in the l2h folder.  Or even'
echo '    re-install l2h from scratch.'
goto err
errsub:
echo "*** Error extracting \webpages strings from $1.$2."
goto err
errsys:
echo '*** Operating system error.  Check disk space and file protections.'
echo '    If not, try rerunning install_l2h in the l2h_folder.'
err:
exit 1

end:
