#!/usr/bin/tcsh -f
set echo_style='bsd' ; setenv LC_ALL C #; set echo verbose

# Copyright 2012 Leon van Dommelen.  This software is made available
# under the GNU Public License version 3.  See folder copyrights.

# Purpose: See whether TARGET is newer than ROOT.EXT, when EXT is tex
#          or bib.

# Usage
goto start
use:
echo 'Usage: set errlev=0'
echo '       source newer.bat "ROOT" "EXT" "TARGET" [quiet]'
echo '       Sets errlev=1 if TARGET is not newer than ROOT.EXT,'
echo '       if EXT is tex or bib.'
echo '       Returns status 1 and errlev=2 on error'
goto err
start:

# see whether we want to process
if !(-f "$1.$2") goto done
l2hnewer.exe "$1.$2" "$3"
set stat="$status"
if ($stat >= 2) goto errsys
if ($stat >= 1) goto notnewer
goto done

# mark as not newer
notnewer:
if ("$4" == '') echo "** File $1.$2 is newer than $3."
set errlev=1

# done
done:
goto end

# errors
errsys:
echo '*** Operating system error.  Check disk space and file protections.'
echo '    If not, try rerunning install_l2h in the l2h_folder.'
err:
set errlev=2
exit 1

end:
