#!/usr/bin/tcsh -f
set echo_style='bsd' ; setenv LC_ALL C #; set echo verbose

# Copyright 2012 Leon van Dommelen.  This software is made available
# under the GNU Public License version 3.  See folder copyrights.

# Purpose: swap in the appropriate jpegs

# Usage
goto start
use:
echo 'Usage: projpegs subdirectory [prefix]'
echo '       where prefix is the single-character file prefix used, if any'
goto err
start:

# set L2HTOP (do not change the format of the next two lines)
setenv L2HTOP '/home/user/l2hdir'
if !(-x "$L2HTOP/system-files/bin/dojpegs.exe") goto errl2h

# cd into the folder
if !(-d "$1/") goto errdir
cd "$1"
if ($status) goto errdir

# done if no savjpegs folder
if !(-d savjpegs/) goto done

# put the filename prefix in @tmp.ind
if (-f @tmp.ind) rm @tmp.ind
if (-e @tmp.ind) goto errsys
if ("$2" != '') goto prefb
echo '*' > @tmp.ind
if ($status) goto errsys
goto prefe
prefb:
echo "$2" > @tmp.ind
if ($status) goto errsys
prefe:

# add the folder name separator to @tmp.ind
echo '/' >> @tmp.ind
if ($status) goto errsys

# add the .jpg files in this folder, but not the subfolders, to @tmp.ind
ls -1 | fgrep "$2img" | fgrep '.jpg' >> @tmp.ind
if ($status >= 2) goto errsys
ls -1 | fgrep "$2Timg" | fgrep '.jpg' >> @tmp.ind
if ($status >= 2) goto errsys

# add a blank line
echo >> @tmp.ind
if ($status) goto errsys

# add the .jpg files in subfolder savjpegs to @tmp.ind
cd savjpegs
if ($status) goto errsj
ls -1 | fgrep "$2img" | fgrep '.jpg' >> ../@tmp.ind
if ($status >= 2) goto errsys0
ls -1 | fgrep "$2Timg" | fgrep '.jpg' >> ../@tmp.ind
if ($status >= 2) goto errsys0
cd ..
if ($status) goto errsys

# add a blank line
echo >> @tmp.ind
if ($status) goto errsys

# list the html files to @tmp.ind
ls -1 | fgrep '.html' >> @tmp.ind
if ($status >= 2) goto errsys

# run the dojpegs.exe program to make script @dojpegs.bat
if (-f @dojpegs.bat) rm @dojpegs.bat
if (-e @dojpegs.bat) goto errsys
echo
echo '                          JPG/GIF FORMAT SELECTION'
"$L2HTOP/system-files/bin/dojpegs.exe"
if ($status) goto errdoj
if !(-f @dojpegs.bat) goto errdoj

# run the script
source "@dojpegs.bat"
if ($status) goto errdob

# get rid of folder savjpegs
rm -r savjpegs
if ($status) goto errsys
if (-e savjpegs) goto errsys

# clean up
rm @dojpegs.bat
rm @tmp.ind

# done
done:
if ("$1" != .) cd ..
goto end

# errors
errl2h:
echo '*** Fatal error: cannot find file'
echo "       $L2HTOP/system-files/bin/dojpegs.exe."
echo '    You may need to rerun install_l2h in the l2h folder.  Make sure'
echo '    that the current folder is somewhere inside the l2h folder while'
echo '    doing that.'
goto err2
errdir:
echo "*** projpegs: folder $1 is not a proper folder."
goto err2
errsj:
echo '*** projpegs: folder savjpegs is not a proper folder.'
goto err
errdoj:
echo '*** projpegs: Program dojpegs.exe failed.'
goto err
errdob:
echo '*** projpegs: Batch file @dojpegs.bat failed.'
goto err
errsys0:
cd ..
errsys:
echo '*** projpegs: System error.  Check disk space and file protections.'
echo '    If not, try rerunning install_l2h in the l2h_folder.'
err:
if ("$1" != .) cd ..
err2:
exit 1

end:
