#!/usr/bin/tcsh -f
set echo_style='bsd' ; setenv LC_ALL C #; set echo verbose

# Copyright 2012 Leon van Dommelen.  This software is made available
# under the GNU Public License version 3.  See folder copyrights.

# Purpose: Replace any icon ROOT.EXT in web-pages by PREFIXROOT.EXT

# Usage
goto start
use:
echo 'Usage: Ensure zero error level'
echo '       call updicon.bat ROOT EXT PREFIX'
goto err
start:

# done if the icon does not exist
if !(-f "web-pages/$1.$2") goto done

# check that the new one exists
if !(-f "$3$1.$2") goto errfnd

# delete the existing icon
rm "web-pages/$1.$2"
if (-f "web-pages/$1.$2") goto errsys

# copy the new icon into its place
cp -p "$3$1.$2" "web-pages/$1.$2"
if ($status) goto errcp
if !(-f "web-pages/$1.$2") goto errcp
chmod a+r "web-pages/$1.$2"
if ($status) goto errsys

# done
done:
goto end

# errors
errfnd:
echo "*** Program error: button $3$1.$2 does not exist."
goto err
errcp:
echo "*** Error copying the new button $1.$2 into folder web-pages."
goto err
errsys:
echo '*** Operating system error.  Check disk space and file protections.'
echo '    If not, try rerunning install_l2h in the l2h_folder.'
err:
exit 1

end:
