#!/usr/bin/tcsh -f
set echo_style='bsd' ; setenv LC_ALL C #; set echo verbose

# Copyright 2012 Leon van Dommelen.  This software is made available
# under the GNU Public License version 3.  See folder copyrights.

# Purpose: manage the selected codepage

# Usage
goto start
use:
echo 'Usage: To copy the conversion files: call codepage.bat [FOLDER/]'
echo '       To echo the codepage name without new-line: call codepage.bat e'
echo '       To do the same but padded to 20 characters: call codepage.bat E'
goto err
start:

# set L2HTOP (do not change the format of the next two lines)
setenv L2HTOP '/home/user/l2hdir'
if !(-f "$L2HTOP/install_l2h.desktop") goto errl2h

# echo the name
if ("$1" == e) "$L2HTOP/bin/echon.exe" "PAR1STRING"
if ("$1" == e) goto done

# echo the padded name
if ("$1" == E) "$L2HTOP/bin/"PAR2STRING
if ("$1" == E) goto done

# check that the minimum files are there
if !(-f "$L2HTOP/convert/PAR1STRING/convert.sub") goto errfils
if !(-f "$L2HTOP/convert/PAR1STRING/convertb.sub") goto errfils

# copy the needed files
"$L2HTOP/bin/copynew.bat" "$L2HTOP/convert/PAR1STRING/convert.sub" "$1"convert.sub c n
if ($status) goto err
"$L2HTOP/bin/copynew.bat" "$L2HTOP/convert/PAR1STRING/convertb.sub" "$1"convertb.sub c n
if ($status) goto err
"$L2HTOP/bin/clearold.bat" n "$1"8bit_to_uc.sub "$1"num_str-map.sub
if (-f "$L2HTOP/convert/PAR1STRING/8bit_to_uc.sub") "$L2HTOP/bin/copynew.bat" "$L2HTOP/convert/PAR1STRING/8bit_to_uc.sub" "$1"8bit_to_uc.sub c n
if ($status) goto err
if (-f "$L2HTOP/convert/PAR1STRING/num_str-map.sub") "$L2HTOP/bin/copynew.bat" "$L2HTOP/convert/PAR1STRING/num_str-map.sub" "$1"num_str-map.sub c n
if ($status) goto err

# done
done:
goto end

# errors
errl2h:
echo "*** Fatal error: cannot find file $L2HTOP/install_l2h.desktop."
echo '    You may need to rerun install_l2h in the l2h folder.  Make sure'
echo '    that the current folder is somewhere inside the l2h folder while'
echo '    doing that.'
goto err
errfils:
echo '*** error looking for the required codepage files:'
echo "       $L2HTOP/convert/PAR1STRING/convert.sub"
echo "       $L2HTOP/convert/PAR1STRING/convertb.sub"
echo '    Please install l2h from scratch.'
goto err
errsys:
echo '*** Operating system error.  Check disk space and file protections.'
echo '    If not, try rerunning install_l2h in the l2h_folder.'
err:
exit 1

end:
