#!/usr/bin/tcsh -f
set echo_style='bsd' ; setenv LC_ALL C #; set echo verbose

# Copyright 2012 Leon van Dommelen.  This software is made available
# under the GNU Public License version 3.  See folder copyrights.

# Purpose: copy a theme to the current folder.

# Usage
goto start
use:
echo 'Usage: Remove any existing index@new.css, settings@new.pl, buttons@new'
echo '       To copy index.css,html and settings.pl:  call copthm.bat files'
echo '       To copy all buttons to buttons@new:      call copthm.bat copbut'
echo '       To copy the needed buttons to web-pages: call copthm.bat updicon'
goto err
start:

# set L2HTOP (do not change the format of the next two lines)
setenv L2HTOP '/home/user/l2hdir'
if !(-f "$L2HTOP/install_l2h.desktop") goto errl2h

# check that the files are there
if !(-f "$L2HTOP/themes/PAR1STRING/index.css") goto errfils
if !(-f "$L2HTOP/themes/PAR1STRING/settings.pl") goto errfils

# check that the icons are there
source "$L2HTOP/system-files/bin/buttonsall.bat" "$L2HTOP/system-files/bin/file_exist.bat" "$L2HTOP/themes/PAR1STRING/"
if ($status) goto errbuts

# perform the requested task
if ("$1" == files) goto files
if ("$1" == copbut) goto copbut
if ("$1" == updicon) goto updicon
goto errpar

# copy over index.css,html and settings.pl with the current date, new owner
files:
if !(-f "$L2HTOP/themes/PAR1STRING/theme_info.txt") goto files2
echo
cat "$L2HTOP/themes/PAR1STRING/theme_info.txt"
echo 'Please read the notes above about theme PAR1STRING.  After that'
"$L2HTOP/bin/choose.exe" cq "hit the c key to continue or q to abort the theme change: c"
set stat="$status"
if ($stat >= 3) goto errsys
if ($stat >= 2) goto errq
if ($stat >= 1) goto files2
goto errq
files2:
cat "$L2HTOP/themes/PAR1STRING/index.css" > index@new.css
if ($status) goto errcp
if !(-f index@new.css) goto errcp
chmod u=rw,go=r index@new.css
if ($status) goto errsys
cat "$L2HTOP/themes/PAR1STRING/settings.pl" > settings@new.pl
if ($status) goto errcp
if !(-f settings@new.pl) goto errcp
chmod u=rw,go=r settings@new.pl
if ($status) goto errsys
if !(-f "$L2HTOP/themes/PAR1STRING/index.html") goto nohtm
cat "$L2HTOP/themes/PAR1STRING/index.html" > index@new.html
if ($status) goto errcp
if !(-f index@new.html) goto errcp
chmod u=rw,go=r index@new.html
if ($status) goto errsys
nohtm:
if !(-f "$L2HTOP/themes/PAR1STRING/theme_info.txt") goto noinfo
cat "$L2HTOP/themes/PAR1STRING/theme_info.txt" > theme_info.txt
if ($status) goto errcp
if !(-f theme_info.txt) goto errcp
noinfo:
goto done

# copy the buttons to folder buttons@new
copbut:
if (-e buttons@new) goto errfol
mkdir buttons@new
if ($status) goto errsys
if !(-d buttons@new/) goto errsys
cp "$L2HTOP/themes/PAR1STRING/"*.gif buttons@new
if ($status) goto errcpb
source "$L2HTOP/system-files/bin/buttonsall.bat" "$L2HTOP/system-files/bin/file_exist.bat" "buttons@new/"
if ($status) goto errcpb
if !(-f "$L2HTOP/themes/PAR1STRING/colors.lst") goto done
cp "$L2HTOP/themes/PAR1STRING/colors.lst" buttons@new
if ($status) goto errcpb
goto done

# update the buttons in folder web-pages
updicon:
if !(-e web-pages) goto done
source "$L2HTOP/system-files/bin/buttonsall.bat" "$L2HTOP/system-files/bin/updicon.bat" "$L2HTOP/themes/PAR1STRING/"
if ($status) goto err

# done
done:
goto end

# errors
errl2h:
echo "*** Fatal error: cannot find file $L2HTOP/install_l2h.desktop."
echo '    You may need to rerun install_l2h in the l2h folder.  Make sure'
echo '    that the current folder is somewhere inside the l2h folder while'
echo '    doing that.'
goto err
errfils:
echo '*** Error looking for the required files:'
echo "       $L2HTOP/themes/PAR1STRING/index.css"
echo "       $L2HTOP/themes/PAR1STRING/settings.pl"
echo '    Please try a different theme, like white-blue.'
goto err
errbuts:
echo '*** Theme PAR1STRING is missing required buttons.'
echo '    Please try a different theme, like white-blue.'
goto err
errpar:
echo '*** Program error: invalid parameter to copthm.bat.'
goto err
errcp:
echo '*** error copying the required files:'
echo "       $L2HTOP/themes/PAR1STRING/index.css"
echo "       $L2HTOP/themes/PAR1STRING/settings.pl"
echo "       $L2HTOP/themes/PAR1STRING/index.html"
echo '    to the current folder.'
echo '    Check disk space and file protections.'
echo '    If not, try rerunning install_l2h in the l2h_folder.'
goto err
errfol:
echo '*** Program error: Folder buttons@new already exists.'
goto err
errcpb:
echo '*** Error copying the buttons of the theme to folder buttons@new.'
echo '    Check disk space and file protections.'
echo '    If not, try rerunning install_l2h in the l2h_folder.'
goto err
errq:
echo '*** Aborted by user.'
goto err
errsys:
echo '*** Operating system error.  Check disk space and file protections.'
echo '    If not, try rerunning install_l2h in the l2h_folder.'
err:
exit 1

end:
