c     Copyright 2012 Leon van Dommelen.  This software is made available
c     under the GNU Public License version 3.

      subroutine fatal(msg)

c     Terminate execution on error, printing error message msg.

      implicit none

c input:

c     message to show
      character*(*) msg

c executable

      print10,char(7),msg
 10   format(a1,'*** ',a,'.')

      call fatal0

      end



      subroutine fatal2(msg1,msg2)

c     Terminate execution on error, printing error message msg1msg2.

      implicit none

c input:

c     message to show
      character*(*) msg1
      character*(*) msg2

c executable

      print10,char(7),msg1,msg2
 10   format(a1,'*** ',a,a,'.')

      call fatal0

      end



      subroutine fatali(msg,int)

c     Terminate execution on error, showing message msg and integer int.

      implicit none

c input:

c     message to show
      character*(*) msg
c     integer to show
      integer int

c local:

c     integer as string
      character*20 ci
      integer cil

c executable

      call inttos(int,ci,cil)
      call fatal2(msg,ci(1:cil))

      return
      end



      subroutine fatal0

c     Terminate execution on error.

      implicit none

      call exit(1)

      end


      subroutine inttos(int,cint,cintl)

c     Convert an integer to a string

      implicit none

c input:

c     integer to show
      integer int

c     integer as string
      character*(*) cint
      integer cintl

c local:

c     printed integer as string
      character*12 ci
c     string limits
      integer i1,i2
c     character index
      integer i

c executable

c     print the integer
      write(ci,10)int
 10   format(i12)

c     find the boundaries
      do 20 i=1,12
         i1=i
         if(ci(i:i).gt.' ')goto 21
 20   continue
      goto 90
 21   do 30 i=12,1,-1
         i2=i
         if(ci(i:i).gt.' ')goto 31
 30   continue
      goto 90
 31   continue

c     copy it to output
      cintl=i2-i1+1
      if(cintl.gt.len(cint))goto 90
      cint=ci(i1:i2)
      return

c     error
 90   cint='************'
      cintl=min(12,len(cint))
      return
      end
