      subroutine rutf8(strmax,strchr,chrno)

c     Read a utf 8 character from string strchr.

      implicit none
c input

c     length of the string
      integer strmax

c     string
      character*1 strchr(*)

c output

c     character number or -1 if invalid
      integer chrno

c local

c     maximum unicode character number
      integer uclim
      parameter (uclim=1114111)

c     number of bytes in the utf-8 string
      integer bytes
c     byte index
      integer b

c     ascii value
      integer iasc

c executable

c     examine the first character
      chrno=ichar(strchr(1))

c     remove the two leading bits
      if(chrno.lt.192)goto 900
      chrno=chrno-192

c     find out the additional bytes from the header and remove the header
      if(chrno.lt.32)then
         bytes=1
      else
         chrno=chrno-32
         if(chrno.lt.16)then
            bytes=2
         else
            chrno=chrno-16
            bytes=3
            if(chrno.gt.7)goto 900
         endif
      endif

c     check against the given length
      if(strmax.ne.1+bytes)goto 900

c     read the remaining bytes
      do 100 b=1,bytes
         iasc=ichar(strchr(1+b))-128
         if(iasc.lt.0 .or.iasc.gt.63)goto 900
         chrno=chrno*64+iasc
 100  continue
      if(chrno.lt.0 .or. chrno.gt.uclim)goto 900

c     done
      return

c     invalid UTF-8 string
 900  chrno=-1
      return
      end
