      subroutine wutf8(chrno,strdim,strmax,strchr)

c     Write a utf 8 character to string strchr.

      implicit none

c input

c     character number to write
      integer chrno

c     declared dimension of the string
      integer strdim

c output

c     number of characters in string
      integer strmax

c     string
      character*1 strchr(strdim)

c local

c     maximum unicode character number
      integer uclim
      parameter (uclim=1114111)

c     local value of chrno
      integer ichr
c     subparts of ichr
      integer i1,i2,i3

c     temporary
      integer itemp

c executable

c     copy the number to a local variable
      ichr=chrno

c     check validity
      if(ichr.lt.0 .or. ichr.gt.uclim)
     & call fatal('UTF-8 number to write is invalid')

c     standard ASCII
      if(ichr.lt.127)then
         strmax=1
         if(strmax.gt.strdim)
     &    call fatal('Out of storage writing a UTF-8 number')
         strchr(1)=char(ichr)
         goto 990
      endif

c     put the last 6 bits in i1 and remove them from ichr
      itemp=ichr/64
      i1=ichr-itemp*64
      ichr=itemp
c     a two-byte string can hold 5 more bits, i.e. up to 31
      if(ichr.le.31)then
         strmax=2
         if(strmax.gt.strdim)
     &    call fatal('Out of storage writing a UTF-8 number')
         strchr(1)=char(ichr+192)
         strchr(2)=char(i1+128)
         goto 990
      endif

c     put the next 6 bits in i2 and remove them from ichr
      itemp=ichr/64
      i2=ichr-itemp*64
      ichr=itemp
c     a three-byte string can hold 4 more bits, i.e. up to 15
      if(ichr.le.15)then
         strmax=3
         if(strmax.gt.strdim)
     &    call fatal('Out of storage writing a UTF-8 number')
         strchr(1)=char(ichr+224)
         strchr(2)=char(i2+128)
         strchr(3)=char(i1+128)
         goto 990
      endif

c     put the next 6 bits in i3 and remove them from ichr
      itemp=ichr/64
      i3=ichr-itemp*64
      ichr=itemp
c     a four-byte string can hold 3 more bits, i.e. up to 7
      if(ichr.gt.7)call fatal('UTF-8 number to write is invalid')
      strmax=4
      if(strmax.gt.strdim)
     & call fatal('Out of storage writing a UTF-8 number')
      strchr(1)=char(ichr+240)
      strchr(2)=char(i3+128)
      strchr(3)=char(i2+128)
      strchr(4)=char(i1+128)

 990  return
      end
